#define _CRT_SECURE_NO_WARNINGS
#include <stdio.h>

typedef struct smer {
	int sifraSmera;
	char naziv[50];
} SMER;

typedef struct indeks {
	int broj;
	int godina;
} INDEKS;

typedef struct student {
	INDEKS indeks;
	char ime[20];
	char prezime[30];
	SMER smer;
	double prosek;
} STUDENT;

void prikazStudenta(STUDENT student);
STUDENT unosStudenta();
void unosNizaStudenata(STUDENT niz[], int *n);
void prikazZaglavlja();
void prikazNizaStudenata(STUDENT *niz, int n);

int main(void) {
	/*
	STUDENT *ps;
	SMER smerISIT;
	SMER smerMEN = {234, "Menadzment"};
	smerISIT.sifraSmera = 123;
	//smerISIT.naziv = "Informacioni sistemi i tehnologije";//ne moze, kopiranje nizova nije moguce na ovaj nacin!
	strcpy(smerISIT.naziv, "ISIT");

	STUDENT  student1 = { {1234, 2018}, "Pera", "Peric", smerISIT, 8.5};
	STUDENT  student2 = { {2345, 2018}, "Zika", "Zivkovic", {234, "ISIT daljina"}, 9.5 };
	STUDENT  student3;
	student3.indeks.broj = 3456;
	student3.indeks.godina = 2018;
	strcpy(student3.ime, "Laza");
	strcpy(student3.prezime, "Lazarevic");
	student3.smer = smerMEN;
	student3.prosek = 9.1;

	prikazStudenta(student1);
	prikazStudenta(student2);
	prikazStudenta(student3);

	student1 = unosStudenta();
	prikazStudenta(student1);
	ps = &student1;
	(*ps).indeks.broj = 111;
	ps->indeks.broj = 111;
	*/

	STUDENT niz[100];
	int n=0;

	unosNizaStudenata(niz, &n);
	prikazNizaStudenata(niz, n);

	system("pause");
	return 0;
}

void prikazZaglavlja() {
	printf("%-9s%-10s%-15s%-15s%-10s\n", "Indeks", "Ime", "Prezime", "Smer", "Prosek");
}


void prikazStudenta(STUDENT student) {
	
	printf("%4d/%-10d%-10s%-15s%-15s%8.2lf\n", student.indeks.broj, student.indeks.godina, student.ime, student.prezime,student.smer.naziv, student.prosek);
}

STUDENT unosStudenta() {
	STUDENT s;
	int unos;
	printf("Unesite indeks [broj/godina]:\n");
	scanf("%d/%d", &s.indeks.broj, &s.indeks.godina);
	printf("Unesite ime:\n");
	getchar();
	gets(s.ime);
	printf("Unesite prezime:\n");
	gets(s.prezime);
	SMER sMen = {234, "MENADZMENT"};
	SMER sISIT = { 123, "ISIT" };
	SMER sISITd = { 345, "ISIT daljina" };
	printf("Odaberite smer: 1-Menadzment, 2-ISIT, 3-ISIT daljina\n");
	scanf("%d", &unos);
	switch (unos){
	case 1: 
		s.smer = sMen;
		break;
	case 2:
		s.smer = sISIT;
		break;
	case 3: 
		s.smer = sISITd;
		break;
	}
	printf("Unesite prosek:\n");
	scanf("%lf", &s.prosek);
	return s;
}

void unosNizaStudenata(STUDENT niz[], int *n) {
	char unos;
	do {
		niz[*n] = unosStudenta();
		*n = *n + 1;
		printf("Da li zelite da unesete jos studenata [d-da, n-ne]:\n");
		getchar();
		unos = getchar();
	} while (unos != 'n');
}

void prikazNizaStudenata(STUDENT *niz, int n) {
	int i;
	prikazZaglavlja();
	for (i = 0; i < n; i++){
		prikazStudenta(niz[i]);
	}
}